Package org.eclipse.graphiti.ui.print

# Interface IPrintConfiguration

All Known Implementing Classes:
  `PrintFigureDialog`

public interface IPrintConfiguration
This interface defines a print configuration container, that is used for printing a diagram. The container itself is also capable of providing an image for the figure to print.

Since:
  0.10

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`OK`
The return code for `configure()` that indicates a successful configuration process.

## Method Summary

Modifier and Type
Method
Description
`void`
`cleanUp()`
Cleans up all stored data.
`int`
`configure()`
Configures this container.
`org.eclipse.draw2d.IFigure`
`getFigure()`
Returns the figure to be printed.
`IPrintPreferences`
`getPreferences()`
The defined preferences for printing
`org.eclipse.swt.printing.Printer`
`getPrinter()`
Returns the `Printer` to be used.
`org.eclipse.swt.graphics.Image`
`getScaledImage()`
Calculates an image with the applied scale factors.

## Field Details

### OK

static final int OK
The return code for `configure()` that indicates a successful configuration process.

See Also:
  - Constant Field Values

## Method Details

### configure

int configure()
Configures this container. May e.g. mean that a popup is presented to the user, but also simply some default values are set.

Returns:
  The return code of this operation. Anything else than 0 will be interpreted as a cancellation request.

### getFigure

org.eclipse.draw2d.IFigure getFigure()
Returns the figure to be printed.

Returns:
  The figure to be printed

### getScaledImage

org.eclipse.swt.graphics.Image getScaledImage()
Calculates an image with the applied scale factors.

Returns:
  A scaled image

### getPreferences

IPrintPreferences getPreferences()
The defined preferences for printing

Returns:
  A filled `IPrintPreferences` instance holding the current configuration

### cleanUp

void cleanUp()
Cleans up all stored data.

### getPrinter

org.eclipse.swt.printing.Printer getPrinter()
Returns the `Printer` to be used.

Returns:
  The printer.